* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}

body {
  height: 100vh;
  background: radial-gradient(circle at top, #b20021, #0f0f1a);
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  overscroll-behavior: none;
  overflow-x: hidden;
}

.login-container {
  width: 100%;
  max-width: 380px;
  text-align: center;
  animation: fadeIn 0.8s ease;
}


.logo {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
  animation: pulse 1.5s infinite;

}

.logo img {
  max-width: 150px;   /* tamanho controlado */
  width: 100%;
  height: auto;
}

h1 {
  font-size: 1.6rem;
  margin-bottom: 0.5rem;
}

p {
  opacity: 0.8;
  margin-bottom: 1.5rem;
}

.form input {
  width: 100%;
  padding: 14px;
  margin-bottom: 12px;
  border-radius: 12px;
  border: none;
  outline: none;
  font-size: 1rem;
}

.btn {
  width: 100%;
  padding: 14px;
  border-radius: 12px;
  border: none;
  cursor: pointer;
  font-size: 1rem;
  margin-bottom: 10px;
  transition: transform 0.15s ease, box-shadow 0.15s ease;
}

.btn:active {
  transform: scale(0.96);
}

.primary {
  background: radial-gradient(circle at top, #b20021, #0f0f1a);
  color: #fff;
  font-weight: bold;
  box-shadow: 0 8px 20px rgba(255,77,109,0.4);
}

.secondary {
  background: rgba(255,255,255,0.1);
  color: #fff;
}

.google {
  background: #fff;
  color: #000;
  display: flex;
  justify-content: center;
  gap: 5px;
  text-align: center;
}
.logo-google{
  height: 20px;
}

.divider {
  margin: 12px 0;
  opacity: 0.6;
}

.feedback {
  display: block;
  margin-top: 10px;
  font-size: 0.9rem;
  color: #ffd6d6;
}

/* Animações */
@keyframes fadeIn {
  from { opacity: 0; transform: translateY(20px); }
  to { opacity: 1; transform: translateY(0); }
}

@keyframes pulse {
  0% { transform: scale(1); }
  50% { transform: scale(1.15); }
  100% { transform: scale(1); }
}
.mode-switch {
  display: flex;
  background: rgba(255,255,255,0.1);
  border-radius: 14px;
  margin-bottom: 20px;
  overflow: hidden;
}
/* logo google */

.mode-switch button {
  flex: 1;
  padding: 12px;
  border: none;
  background: transparent;
  color: #fff;
  font-size: 0.95rem;
  cursor: pointer;
  opacity: 0.6;
}

.mode-switch button.active {
  background: rgba(255,255,255,0.2);
  opacity: 1;
}

.hidden {
  display: none;
}

 /* efeito pulsar */
 @keyframes pulseButton {
  0% {
    transform: scale(1);
    box-shadow: 0 8px 20px rgba(242, 31, 70, 0.542);
  }
  50% {
    transform: scale(1.05);
    box-shadow: 0 12px 30px rgba(255, 41, 80, 0.6);
  }
  100% {
    transform: scale(1);
    box-shadow: 0 8px 20px rgba(254, 41, 80, 0.795);
  }
}

.btn.pulse {
  animation: pulseButton 1.6s infinite;
}
